> For the complete documentation index, see [llms.txt](https://docs.blockrazor.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockrazor.io/tc/transaction-submission/rpc/bsc/endpoint.md).

# BSC RPC 端點

### 通用端點

<table data-search="false"><thead><tr><th width="127.3359375"></th><th width="186">default</th><th width="196">fullprivacy</th><th>maxbackrun</th></tr></thead><tbody><tr><td>URL</td><td>https://bsc.blockrazor.xyz</td><td>https://bsc.blockrazor.xyz/fullprivacy</td><td>https://bsc.blockrazor.xyz/maxbackrun</td></tr><tr><td>MEV保護</td><td>保護</td><td>保護</td><td>保護</td></tr><tr><td>交易隱私</td><td>最小程度披露</td><td>全隱私</td><td>最大程度披露</td></tr><tr><td>返利可能性</td><td>中等</td><td>無返利</td><td>高</td></tr><tr><td>返利比例</td><td>支持</td><td>無返利</td><td>支持</td></tr><tr><td>Revert保護</td><td>不保護</td><td>保護</td><td>保護</td></tr></tbody></table>

<details>

<summary><strong>default模式</strong></summary>

default模式下，提交至BSC RPC的交易，僅向Searcher披露必要的交易數據（hash和logs & state），以在最大程度保護交易隱私的前提下贏得返利機會。同時，為保證交易納入區塊的速度，交易不做revert保。

</details>

<details>

<summary><strong>fullprivacy模式</strong></summary>

fullprivacy模式下，提交至BSC RPC的交易，不會披露任何交易數據，BSC RPC會直接轉發交易至主流builder。由於未披露任何交易數據，交易也不會收到返利，因此無需設置返利比例。該模式下的交易同時會受到revert保護。

</details>

<details>

<summary><strong>maxbackrun模式</strong></summary>

maxbackrun模式下，提交至BSC RPC的交易，會在隱私保護的前提下披露必要的交易數據（hash、to、calldata、functionSelector、logs & state），以最大可能獲得返利。該模式下的交易同時會受到revert保護。

</details>

### 專屬端點

專屬端點是BlockRazor為用戶提供的專屬交易渠道端點。用戶可在BlockRazor控制台配置專屬端點，比如自定義專屬端點讓URL變得更具識別性、設置交易披露參數和返利地址以接收返利等，在將專屬端點添加到錢包或集成到項目後，可前往控制台查看該專屬端點的交易和返利情況。

<table><thead><tr><th width="148.8359375">端點</th><th width="551.25390625">URL示例</th></tr></thead><tbody><tr><td>專屬端點URL</td><td>https://bsc.blockrazor.xyz/&#x3C;rpc_id></td></tr><tr><td>自定義端點URL</td><td>https://&#x3C;custom_content>.bsc.blockrazor.xyz</td></tr></tbody></table>

### 區域端點

<table><thead><tr><th width="148.99609375">地區</th><th>端點</th></tr></thead><tbody><tr><td>東京</td><td>https://jp-bscscutum.blockrazor.xyz</td></tr><tr><td>紐約</td><td>https://us-bscscutum.blockrazor.xyz</td></tr><tr><td>法蘭克福</td><td>https://ger-bscscutum.blockrazor.xyz</td></tr><tr><td>都柏林</td><td>https://ire-bscscutum.blockrazor.xyz</td></tr></tbody></table>

區域端點適合對交易延遲極為敏感且交易源相對集中的項目方


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.blockrazor.io/tc/transaction-submission/rpc/bsc/endpoint.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
